Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xssf.usermodel
Class XSSFDataValidation

    java.lang.Object
      org.apache.poi.xssf.usermodel.XSSFDataValidation

All Implemented Interfaces:
  org.apache.poi.ss.usermodel.DataValidation

    public class XSSFDataValidation

extends java.lang.Object
implements org.apache.poi.ss.usermodel.DataValidation

Author:
  Radhakrishnan J

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.poi.ss.usermodel.DataValidation
`org.apache.poi.ss.usermodel.DataValidation.ErrorStyle`

Constructor Summary
`XSSFDataValidation(XSSFDataValidationConstraint constraint, org.apache.poi.ss.util.CellRangeAddressList regions, org.openxmlformats.schemas.spreadsheetml.x2006.main.CTDataValidation ctDataValidation)`

Method Summary
`void` | `createErrorBox(java.lang.String title, java.lang.String text)`
`void` | `createPromptBox(java.lang.String title, java.lang.String text)`
`boolean` | `getEmptyCellAllowed()`
`java.lang.String` | `getErrorBoxText()`
`java.lang.String` | `getErrorBoxTitle()`
`int` | `getErrorStyle()`
`java.lang.String` | `getPromptBoxText()`
`java.lang.String` | `getPromptBoxTitle()`
`org.apache.poi.ss.util.CellRangeAddressList` | `getRegions()`
`boolean` | `getShowErrorBox()`
`boolean` | `getShowPromptBox()`
`boolean` | `getSuppressDropDownArrow()`
`org.apache.poi.ss.usermodel.DataValidationConstraint` | `getValidationConstraint()`
`java.lang.String` | `prettyPrint()`
`void` | `setEmptyCellAllowed(boolean allowed)`
`void` | `setErrorStyle(int errorStyle)`
`void` | `setShowErrorBox(boolean show)`
`void` | `setShowPromptBox(boolean show)`
`void` | `setSuppressDropDownArrow(boolean suppress)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSSFDataValidation

    public XSSFDataValidation(XSSFDataValidationConstraint constraint,
                              org.apache.poi.ss.util.CellRangeAddressList regions,
                              org.openxmlformats.schemas.spreadsheetml.x2006.main.CTDataValidation ctDataValidation)

Method Detail

### createErrorBox

    public void createErrorBox(java.lang.String title,
                               java.lang.String text)

  Specified by:
    `createErrorBox` in interface `org.apache.poi.ss.usermodel.DataValidation`

### createPromptBox

    public void createPromptBox(java.lang.String title,
                                java.lang.String text)

  Specified by:
    `createPromptBox` in interface `org.apache.poi.ss.usermodel.DataValidation`

### getEmptyCellAllowed

    public boolean getEmptyCellAllowed()

  Specified by:
    `getEmptyCellAllowed` in interface `org.apache.poi.ss.usermodel.DataValidation`

### getErrorBoxText

    public java.lang.String getErrorBoxText()

  Specified by:
    `getErrorBoxText` in interface `org.apache.poi.ss.usermodel.DataValidation`

### getErrorBoxTitle

    public java.lang.String getErrorBoxTitle()

  Specified by:
    `getErrorBoxTitle` in interface `org.apache.poi.ss.usermodel.DataValidation`

### getErrorStyle

    public int getErrorStyle()

  Specified by:
    `getErrorStyle` in interface `org.apache.poi.ss.usermodel.DataValidation`

### getPromptBoxText

    public java.lang.String getPromptBoxText()

  Specified by:
    `getPromptBoxText` in interface `org.apache.poi.ss.usermodel.DataValidation`

### getPromptBoxTitle

    public java.lang.String getPromptBoxTitle()

  Specified by:
    `getPromptBoxTitle` in interface `org.apache.poi.ss.usermodel.DataValidation`

### getShowErrorBox

    public boolean getShowErrorBox()

  Specified by:
    `getShowErrorBox` in interface `org.apache.poi.ss.usermodel.DataValidation`

### getShowPromptBox

    public boolean getShowPromptBox()

  Specified by:
    `getShowPromptBox` in interface `org.apache.poi.ss.usermodel.DataValidation`

### getSuppressDropDownArrow

    public boolean getSuppressDropDownArrow()

  Specified by:
    `getSuppressDropDownArrow` in interface `org.apache.poi.ss.usermodel.DataValidation`

### getValidationConstraint

    public org.apache.poi.ss.usermodel.DataValidationConstraint getValidationConstraint()

  Specified by:
    `getValidationConstraint` in interface `org.apache.poi.ss.usermodel.DataValidation`

### setEmptyCellAllowed

    public void setEmptyCellAllowed(boolean allowed)

  Specified by:
    `setEmptyCellAllowed` in interface `org.apache.poi.ss.usermodel.DataValidation`

### setErrorStyle

    public void setErrorStyle(int errorStyle)

  Specified by:
    `setErrorStyle` in interface `org.apache.poi.ss.usermodel.DataValidation`

### setShowErrorBox

    public void setShowErrorBox(boolean show)

  Specified by:
    `setShowErrorBox` in interface `org.apache.poi.ss.usermodel.DataValidation`

### setShowPromptBox

    public void setShowPromptBox(boolean show)

  Specified by:
    `setShowPromptBox` in interface `org.apache.poi.ss.usermodel.DataValidation`

### setSuppressDropDownArrow

    public void setSuppressDropDownArrow(boolean suppress)

  Specified by:
    `setSuppressDropDownArrow` in interface `org.apache.poi.ss.usermodel.DataValidation`

### getRegions

    public org.apache.poi.ss.util.CellRangeAddressList getRegions()

  Specified by:
    `getRegions` in interface `org.apache.poi.ss.usermodel.DataValidation`

### prettyPrint

    public java.lang.String prettyPrint()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD